<?php
    use artbox\core\components\LanguageRequest;
    use artbox\core\components\SeoUrlManager;
    
    $params = array_merge(
        require( __DIR__ . '/../../common/config/params.php' ),
        require( __DIR__ . '/../../common/config/params-local.php' ),
        require( __DIR__ . '/params.php' ),
        require( __DIR__ . '/params-local.php' )
    );
    
    return [
        'id'                  => 'app-frontend',
        'homeUrl'             => '/',
        'basePath'            => dirname(__DIR__),
        'bootstrap'           => [ 'log' ],
        'controllerNamespace' => 'frontend\controllers',
        'components'          => [
            'request'      => [
                'class'     => LanguageRequest::className(),
                'csrfParam' => '_csrf-frontend',
                'baseUrl'   => '',
            ],
            'user'         => [
                'identityClass'   => 'common\models\User',
                'enableAutoLogin' => true,
                'identityCookie'  => [
                    'name'     => '_identity-frontend',
                    'httpOnly' => true,
                ],
            ],
            'session'      => [
                // this is the name of the session cookie used for login on the frontend
                'name' => 'advanced-frontend',
            ],
            'log'          => [
                'traceLevel' => YII_DEBUG ? 3 : 0,
                'targets'    => [
                    [
                        'class'  => 'yii\log\FileTarget',
                        'levels' => [
                            'error',
                            'warning',
                        ],
                    ],
                ],
            ],
            'errorHandler' => [
                'errorAction' => 'site/error',
            ],
            'urlManager'   => [
                'class'           => SeoUrlManager::className(),
                'enablePrettyUrl' => true,
                'showScriptName'  => false,
                'processRoutes'   => [
                    'page/view',
                ],
                'rules'           => [
                    '\/robots.txt' => 'site/robots',
                ],
            ],
        ],
        'params'              => $params,
    ];
